Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDisHelper

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDisHelper,MonoDisHelper.ByValue,MonoDisHelper.ByReference>
              com.nativelibs4java.mono.MonoDisHelper

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDisHelper,MonoDisHelper.ByValue,MonoDisHelper.ByReference>>

Direct Known Subclasses:
  MonoDisHelper.ByReference, MonoDisHelper.ByValue

    public class MonoDisHelper

extends Structure<MonoDisHelper,MonoDisHelper.ByValue,MonoDisHelper.ByReference>

native declaration : mono\metadata\debug-helpers.h:13
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDisHelper.ByReference`
`static class` | `MonoDisHelper.ByValue`

Field Summary
`MonoLibrary.MonoDisIndenter` | `indenter`
`ByteByReference` | `label_format`
`ByteByReference` | `label_target`
`ByteByReference` | `newline`
`MonoLibrary.MonoDisTokener` | `tokener`
`Pointer` | `user_data`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDisHelper()`
`MonoDisHelper(ByteByReference newline, ByteByReference label_format, ByteByReference label_target, MonoLibrary.MonoDisIndenter indenter, MonoLibrary.MonoDisTokener tokener, Pointer user_data)`

Method Summary
`protected MonoDisHelper.ByReference` | `newByReference()`
`protected MonoDisHelper.ByValue` | `newByValue()`
`protected MonoDisHelper` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### newline

    public ByteByReference newline

### label_format

    public ByteByReference label_format

### label_target

    public ByteByReference label_target

### indenter

    public MonoLibrary.MonoDisIndenter indenter

### tokener

    public MonoLibrary.MonoDisTokener tokener

### user_data

    public Pointer user_data

Constructor Detail

### MonoDisHelper

    public MonoDisHelper()

### MonoDisHelper

    public MonoDisHelper(ByteByReference newline,
                         ByteByReference label_format,
                         ByteByReference label_target,
                         MonoLibrary.MonoDisIndenter indenter,
                         MonoLibrary.MonoDisTokener tokener,
                         Pointer user_data)

Method Detail

### newByReference

    protected MonoDisHelper.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDisHelper,MonoDisHelper.ByValue,MonoDisHelper.ByReference>`

### newByValue

    protected MonoDisHelper.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDisHelper,MonoDisHelper.ByValue,MonoDisHelper.ByReference>`

### newInstance

    protected MonoDisHelper newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDisHelper,MonoDisHelper.ByValue,MonoDisHelper.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD